<!-- ...................................................................... -->
<!-- XHTML 1.1 Document Scripting Module  ................................. -->
<!-- file: xhtml11-script-1.mod

     This is XHTML 1.1, a modular variant of XHTML 1.0.
     Copyright 1998-1999 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: @(#)xhtml11-script-1.mod 1.6 99/08/26 SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

     PUBLIC "-//W3C//ELEMENTS XHTML 1.1 Scripting 1.0//EN"
     SYSTEM "xhtml11-script-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Scripting

        script, noscript

     This module declares element types and attributes used to provide
     support for executable scripts as well as an alternate content
     container where scripts are not supported.
-->

<!-- script: Scripting Statement ....................... -->

<!ENTITY % Script.element  "INCLUDE" >
<![%Script.element;[
<!ENTITY % Script.content  "( #PCDATA )" >
<!ELEMENT script  %Script.content; >
<!-- end of Script.element -->]]>

<!ENTITY % Script.attlist  "INCLUDE" >
<![%Script.attlist;[
<!ATTLIST script
      charset      %Charset.datatype;       #IMPLIED
      type         %ContentType.datatype;   #REQUIRED
      src          %URI.datatype;           #IMPLIED
      defer        (defer)                  #IMPLIED
      xml:space    CDATA                    #FIXED 'preserve'
>
<!-- end of Script.attlist -->]]>

<!-- noscript: No-Script Alternate Content ............. -->

<!ENTITY % Noscript.element  "INCLUDE" >
<![%Noscript.element;[
<!ENTITY % Noscript.content
     "( %Block.mix; )+"
>
<!ELEMENT noscript  %Noscript.content; >
<!-- end of Noscript.element -->]]>

<!ENTITY % Noscript.attlist  "INCLUDE" >
<![%Noscript.attlist;[
<!ATTLIST noscript
      %Common.attrib;
>
<!-- end of Noscript.attlist -->]]>

<!-- end of xhtml11-script-1.mod -->
